Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360469 - Please switch to upstream init scripts
Summary: Please switch to upstream init scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-carbon
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 20:27 UTC by brak
Modified: 2017-02-28 21:19 UTC (History)
3 users (show)

Fixed In Version: python-carbon-0.9.15-6.fc25 python-carbon-0.9.15-6.fc23 python-carbon-0.10.0-0.1.rc1.fc24 python-carbon-0.9.15-6.el6 python-carbon-0.9.15-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-01 04:21:32 UTC


Attachments (Terms of Use)

Description brak 2016-07-26 20:27:00 UTC
Description of problem:
Upstream provides an example init script:

https://github.com/graphite-project/carbon/blob/master/distro/redhat/init.d/carbon-cache

This is superior to the one that you're including (as of 0.9.12 & 0.9.15), as it supports running multiple carbon instances at the same time.  Multiple carbon instances are still the best way to scale Graphite, so this is a pretty critical thing to have.

Comment 1 Piotr Popieluch 2016-07-27 16:30:40 UTC
This was requested in bug #1008552

IIRC there were some issues with upgrading existing installations without breaking them. This should be solvable but not done due to lack of time/interest.

I didn't look into it as RHEL6 is quite old and everything newer has systemd for which instances are implemented. I'm not sure if it is still worth to invest time in the epel6 Graphite packages as I'm running into more and more issues with old versions of Django, Twisted, Python.. 

Personally I don't like the new script as it does not feature starting/stopping a single instances. The new init script is not LSB compliant. It doesn't allow stopped instances to write cache to disk and kills -9 it after 20s.

When running multiple instances you most likely use some kind of config management/provisioning tool, I suggest you use that to deploy the script of your liking.

Not closing this for now as I do understand the need for instance support. I will be working on some RHEL6 Graphite systems soon and hope I will have time to improve the packages. I will keep this request in mind.

Comment 2 Piotr Popieluch 2016-07-27 19:11:04 UTC
With "not LSB compliant" I'm most worried about the script not returning the right exit codes. see: 
https://fedoraproject.org/wiki/EPEL:SysVInitScript#Exit_Codes_for_the_Status_Action

These exit codes are needed to check if an application is running. If not present this breaks tools like Puppet, Ansible, Pacemaker.

Comment 3 Fedora Update System 2016-09-18 21:40:45 UTC
python-carbon-0.9.15-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-207d0083f6

Comment 4 Fedora Update System 2016-09-18 21:41:05 UTC
python-carbon-0.9.15-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d4e6e32bb

Comment 5 Fedora Update System 2016-09-18 21:41:25 UTC
python-carbon-0.9.15-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d67b8413b

Comment 6 Fedora Update System 2016-09-18 21:41:42 UTC
python-carbon-0.9.15-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e69cb06cb1

Comment 7 Fedora Update System 2016-09-18 21:46:34 UTC
python-carbon-0.9.15-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4d36a9407f

Comment 8 Piotr Popieluch 2016-09-19 18:12:07 UTC
only added the init scripts to documents.

Comment 9 Fedora Update System 2016-09-20 19:59:58 UTC
python-carbon-0.9.15-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-207d0083f6

Comment 10 Fedora Update System 2016-09-22 01:18:24 UTC
python-carbon-0.9.15-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e69cb06cb1

Comment 11 Fedora Update System 2016-09-22 01:19:46 UTC
python-carbon-0.9.15-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4d36a9407f

Comment 12 Fedora Update System 2016-09-22 01:25:49 UTC
python-carbon-0.9.15-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d67b8413b

Comment 13 Fedora Update System 2016-09-22 01:27:17 UTC
python-carbon-0.9.15-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d4e6e32bb

Comment 14 Fedora Update System 2016-09-24 15:14:49 UTC
python-carbon-0.9.15-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-29 02:49:39 UTC
graphite-web-0.10.0-0.1.rc1.fc24, python-carbon-0.10.0-0.1.rc1.fc24, python-whisper-0.10.0-0.1.rc1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ef3b002240

Comment 16 Fedora Update System 2016-10-01 04:21:32 UTC
python-carbon-0.9.15-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-10-11 19:55:44 UTC
graphite-web-0.10.0-0.1.rc1.fc24, python-carbon-0.10.0-0.1.rc1.fc24, python-whisper-0.10.0-0.1.rc1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-02-28 21:17:34 UTC
python-carbon-0.9.15-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-02-28 21:19:08 UTC
python-carbon-0.9.15-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.